\name{calcFib2}
\alias{calcFib2}
\title{Calculate Fibonacci Numbers with C code with the 
.Call interface}

\description{ Compute Fibonacci numbers iteratively using a 
\code{.Call} function call }

\usage{calcFib2(n, len=1)}

\arguments{
\item{n}{final \code{n}th Fibonacci number to calculate}
\item{len}{length \code{len} of output vector}
}

\value{vector of the last \code{len} Fibonacci numbers 
calculated }

\seealso{
\code{\link{calcSum}}

\code{\link{.Call}}
}

\note{This function uses the C source code \code{fib.c}.}

\examples{
# first 10 Fibonacci numbers
calcFib(10,10)

# same result, because len is adjusted downward
calcFib(10,20)
}

\keyword{math}
