\name{view}
\alias{view}
\title{Display First n Rows of an Object}

\description{ Display the first \code{n} rows of a data.frame or 
matrix or the first \code{n} elements of a vector or list. All 
other objects are simply reflected. }

\usage{ view(obj, n = 5) }

\arguments{
\item{obj}{Object to view},
\item{n}{Number of rows or elements to view}
}

\value{ First \code{n} rows or elements of \code{obj} }

\seealso{ \code{\link{QBR}} }

\examples{
# first three rows of QBR
data(QBR)
view(QBR,3)
}

\keyword{IO}
